// pages/person/person.js
import { getHwUserInfo } from '../../utils/util'
import { taxRegistration } from "../../service/hwVersion";

Page({

	/**
	 * 页面的初始数据
	 */
	data: {
		sign: '认证用户',
		userInfo: {},
		taxUrl: '',
		taxName: ''
	},
	/**
	 * 跳转用户信息列表
	 * 
	 */
	toUserinfo() {
		wx.navigateTo({
			url: '/pages/userinfo/userinfo',
		})
	},
	/**
	 * 退出登录
	 * 清除所有缓存  并跳转登录页
	 */
	quit() {
		wx.showModal({
			title: '是否退出登录',
			cancelColor: '#888A8E',
			confirmColor: '#31364C',
			success: (res) => {
				if (res.confirm) {
					wx.clearStorage({
						success: () => {
							wx.navigateBack({
								delta: 1
							})
						},
					})
				}
			},
		})
	},

	/**
	 * 生命周期函数--监听页面加载
	 */
	onLoad: function () {
		wx.hideHomeButton();
	},

	/**
	 * 生命周期函数--监听页面初次渲染完成
	 */
	onReady: function () {

	},

	/**
	 * 生命周期函数--监听页面显示
	 */
	onShow: async function () {
		wx.hideHomeButton();
		if (wx.getStorageSync('userId') && wx.getStorageSync('userToken')) {
			// 获取用户信息
			await getHwUserInfo()
			this.setData({
				userInfo: wx.getStorageSync('userInfo'),
			})
			taxRegistration().then(res => {
				const data = <responseOptionsType<taxRegistrationResponseType>>res
				if (data.data?.taxUrl) {
					this.setData({
						taxUrl: encodeURIComponent(data.data.taxUrl),
						taxName: data.data.taxName
					})
				}
				if (data.data?.taxMessage && wx.getStorageSync('firstLogin')) {
					wx.showModal({
						title: '提示',
						content: data.data.taxMessage,
						showCancel: false,
						confirmText: '知道了',
						success: res => {
							if (res.confirm) {
								wx.setStorageSync('firstLogin', false)
							}
						}
					})
				}
			})

		} else {
			// wx.reLaunch({
			//   url: '/pages/login/login',
			// })
		}
	},

	/**
	 * 生命周期函数--监听页面隐藏
	 */
	onHide: function () {

	},

	/**
	 * 生命周期函数--监听页面卸载
	 */
	onUnload: function () {

	},

	/**
	 * 页面相关事件处理函数--监听用户下拉动作
	 */
	onPullDownRefresh: function () {

	},

	/**
	 * 页面上拉触底事件的处理函数
	 */
	onReachBottom: function () {

	},
})